curl --request POST \
--url https://api.aisa.one/apis/v1/tikhub/tiktok/ads/search_ads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objective": 123,
"like": 123,
"period": 180,
"industry": "<string>",
"keyword": "<string>",
"page": 1,
"limit": 20,
"order_by": "for_you",
"country_code": "US",
"ad_format": 123,
"ad_language": "<string>",
"duration": 123,
"pattern_label": "<string>",
"search_id": "<string>",
"cookie": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/tikhub/tiktok/ads/search_ads"
payload = {
"objective": 123,
"like": 123,
"period": 180,
"industry": "<string>",
"keyword": "<string>",
"page": 1,
"limit": 20,
"order_by": "for_you",
"country_code": "US",
"ad_format": 123,
"ad_language": "<string>",
"duration": 123,
"pattern_label": "<string>",
"search_id": "<string>",
"cookie": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
objective: 123,
like: 123,
period: 180,
industry: '<string>',
keyword: '<string>',
page: 1,
limit: 20,
order_by: 'for_you',
country_code: 'US',
ad_format: 123,
ad_language: '<string>',
duration: 123,
pattern_label: '<string>',
search_id: '<string>',
cookie: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/tikhub/tiktok/ads/search_ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"request_id": "<string>",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "<string>",
"time_stamp": 123,
"time_zone": "America/Los_Angeles",
"docs": "<string>",
"cache_message": "This response is cached and accessible via the URL below for 24 hours at no extra cost. The cache is for request tracing only — it doesn't affect the API's data freshness and won't be returned through the API again.",
"cache_message_zh": "本次响应已缓存,可通过下方 URL 直接查看,有效期 24 小时,访问缓存链接无额外费用。缓存仅用于请求溯源,不影响接口数据的时效性,也不会再次通过接口返回。",
"cache_url": "<string>",
"router": "",
"params": {},
"data": "<unknown>"
}搜索广告
搜索广告
code 为 200 时计费。
示例
curl -X POST "https://api.aisa.one/apis/v1/tikhub/tiktok/ads/search_ads" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}' # 请求体结构见下方 schema
授权
AIsa API key. Get yours at https://aisa.one
请求体
广告目标类型(可选)/Ad objective (optional; 1:流量 2:应用安装 3:转化 4:视频浏览 5:触达 6:潜在客户 7:产品销售)
表现排名(可选)/Performance rank (optional; 1:前1-20% 2:前21-40% 3:前41-60% 4:前61-80% 5:前81-100%)
时间段/Time period (days)
行业ID/Industry ID
搜索关键词/Search keyword
页码/Page number
每页数量/Items per page
排序方式/Sort by (for_you, likes)
国家代码/Country code
广告格式(可选)/Ad format (optional; 1:Spark Ads 2:Non-Spark Ads)
广告语言(可选)/Ad language (optional)
视频时长筛选值(可选)/Video duration filter value (optional)
创意趋势标签(可选)/Creative pattern label (optional)
搜索ID(可选)/Search ID (optional)
自定义Cookie字符串(可选)
响应
Successful Response
HTTP status code | HTTP状态码
Unique request identifier | 唯一请求标识符
Response message (EN-US) | 响应消息 (English)
Response message (ZH-CN) | 响应消息 (中文)
Support message | 支持消息
The time the response was generated | 生成响应的时间
The timestamp the response was generated | 生成响应的时间戳
The timezone of the response time | 响应时间的时区
Link to the API Swagger documentation for this endpoint | 此端点的 API Swagger 文档链接
Cache message (EN-US) | 缓存消息 (English)
Cache message (ZH-CN) | 缓存消息 (中文)
The URL to access the cached result | 访问缓存结果的 URL
The endpoint that generated this response | 生成此响应的端点
The parameters used in the request | 请求中使用的参数
The response data | 响应数据